import { h, Host } from "@stencil/core";
export class Spinner {
    constructor() {
        this.size = 40;
    }
    render() {
        const pixelatedSize = `${this.size}px`;
        return (h(Host, { style: {
                width: pixelatedSize,
                height: pixelatedSize
            } },
            h("svg", { version: "1.1", xmlns: "http://www.w3.org/2000/svg", xmlnsXlink: "http://www.w3.org/1999/xlink", x: "0px", y: "0px", width: pixelatedSize, height: pixelatedSize, viewBox: "0 0 50 50", style: { 'enable-background': 'new 0 0 50 50' }, xmlSpace: "preserve" },
                h("path", { fill: 'black', d: "M43.935,25.145c0-10.318-8.364-18.683-18.683-18.683c-10.318,0-18.683,8.365-18.683,18.683h4.068c0-8.071,6.543-14.615,14.615-14.615c8.072,0,14.615,6.543,14.615,14.615H43.935z", transform: "rotate(360 -4.05439e-8 -4.05439e-8)" },
                    h("animateTransform", { attributeType: "xml", attributeName: "transform", type: "rotate", from: "0 25 25", to: "360 25 25", dur: "0.6s", repeatCount: "indefinite" })))));
    }
    static get is() { return "eva-config-picker-spinner"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["picker-spinner.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["picker-spinner.css"]
    }; }
    static get properties() { return {
        "size": {
            "type": "number",
            "mutable": false,
            "complexType": {
                "original": "number",
                "resolved": "number",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "size",
            "reflect": false,
            "defaultValue": "40"
        }
    }; }
}
